UiPath Documentation
orchestrator
2022.10
false
  • Getting started
    • About OData and references
    • Enumerated types
    • Authenticating
    • Building API Requests
    • Permissions per endpoint
    • Response codes
    • Health Check Endpoints
  • Authentication
    • Authentication methods
    • External Applications (OAuth)
    • ROPC (not recommended)
  • Swagger definition
    • Read me
    • Authorizing API calls in Swagger
    • Managing logical resources
  • Orchestrator APIs
    • Alerts requests
    • Assets requests
    • Calendars requests
    • Environments requests
    • Folders requests
    • Generic Tasks requests
    • Jobs requests
    • Libraries requests
    • License requests
    • Packages requests
    • Permissions requests
    • Personal workspaces requests
    • Processes requests
    • Queue Items requests
    • Robots requests
    • Roles requests
    • Schedules requests
    • Settings requests
    • Tasks requests
    • Task Catalogs requests
    • Task Forms requests
    • Tenants Requests
    • Transactions requests
    • Users requests
    • Webhooks requests
  • Platform Management APIs
    • Getting started
      • About this guide
      • Available resources
      • API endpoint URL structure
      • Enumeration List
    • Scopes and permissions
      • About scopes and permissions
      • Platform Management scopes and permissions
    • Platform Management APIs
      • Audit Logs
        • Get Audit Logs
        • Download Audit Logs
      • Groups
        • Get All Groups
        • Get Specific Group
        • Delete Specific Group
        • Create a New Local Group
        • Update Group
      • Robot Account
        • Get All Robot Accounts
        • Delete Robot Accounts
        • Get Specific Robot Account
        • Delete Specific Robot Account
        • Create a New Robot Account
        • Update Robot Account
      • User
        • Update User
        • Delete Specific User
        • Delete Users
      • Settings
        • Get Settings
        • Update Settings
      • Message Template
        • Get Message Template
        • Update a Message Template
        • Get Message Template by Name
UiPath logo, featuring letters U and I in white
OUT OF SUPPORT

Orchestrator API guide

Last updated Dec 16, 2025

Folders requests

Assigning a user to a folder with a specified role

POST

https://{yourDomain}/odata/Folders/UiPath.Server.Configuration.OData.AssignUsers

Request headers

Key

Value

Authorization

Bearer

Request body

{
  "assignments": {
    "UserIds": [58571],
    "RolesPerFolder": [
      {
        "FolderId": 14091,
        "RoleIds": [25]
      }
    ]
  }
}{
  "assignments": {
    "UserIds": [58571],
    "RolesPerFolder": [
      {
        "FolderId": 14091,
        "RoleIds": [25]
      }
    ]
  }
}

Response code

204 No Content

Getting all the users in a folder and their roles

GET

https://{yourDomain}/odata/Folders/UiPath.Server.Configuration.OData.GetUsersForFolder(key=14089,includeInherited=true)?$expand=UserEntity%2CRoles

Request headers

Key

Value

Authorization

Bearer

Response code

200 OK

Response body

{
  "@odata.context": "https://{yourDomain}/odata/$metadata#UserRoles",
  "@odata.count": 2,
  "value": [
    {
      "Id": 52454,
      "UserEntity": {
        "UserName": "admin",
        "IsInherited": true,
        "Id": 52454
      },
      "Roles": [
        {
          "Name": "Administrator",
          "Origin": "Assigned",
          "Id": 13
        },
        {
          "Name": "Test",
          "Origin": "Assigned",
          "Id": 25
        }
      ]
    },
    {
      "Id": 58571,
      "UserEntity": {
        "UserName": "Petrix",
        "IsInherited": false,
        "Id": 58571
      },
      "Roles": [
        {
          "Name": "Test",
          "Origin": "Assigned",
          "Id": 25
        }
      ]
    }
  ]
}{
  "@odata.context": "https://{yourDomain}/odata/$metadata#UserRoles",
  "@odata.count": 2,
  "value": [
    {
      "Id": 52454,
      "UserEntity": {
        "UserName": "admin",
        "IsInherited": true,
        "Id": 52454
      },
      "Roles": [
        {
          "Name": "Administrator",
          "Origin": "Assigned",
          "Id": 13
        },
        {
          "Name": "Test",
          "Origin": "Assigned",
          "Id": 25
        }
      ]
    },
    {
      "Id": 58571,
      "UserEntity": {
        "UserName": "Petrix",
        "IsInherited": false,
        "Id": 58571
      },
      "Roles": [
        {
          "Name": "Test",
          "Origin": "Assigned",
          "Id": 25
        }
      ]
    }
  ]
}

Checking if a folder is a personal workspace

The IsPersonal boolean property in the response body of the \FolderNavigation\GetFolderNavigationContextForCurrentUser endpoint checks if the folder with the queried ID (for example, 302428) is a personal workspace.

GET

https://{yourDomain}/api/FoldersNavigation/GetFolderNavigationContextForCurrentUser?folderId=302428

Request headers

Key

Value

Authorization

Bearer

Response code

200 OK

Response body

{
    "Id": 302428,
    "DisplayName": "rachel.green@friends.com's workspace",
    "IsSelectable": true,
    "IsPersonal": true,
    "ProvisionType": "Automatic",
    "Ancestors": [],
    "ChildrenPage": [],
    "ChildrenCount": 0
}{
    "Id": 302428,
    "DisplayName": "rachel.green@friends.com's workspace",
    "IsSelectable": true,
    "IsPersonal": true,
    "ProvisionType": "Automatic",
    "Ancestors": [],
    "ChildrenPage": [],
    "ChildrenCount": 0
}

Was this page helpful?

Connect

Need help? Support

Want to learn? UiPath Academy

Have questions? UiPath Forum

Stay updated